Bug 151207 - emulators/vice: vice-gnome-2.2_3 coredumps during startup
emulators/vice: vice-gnome-2.2_3 coredumps during startup
Status: Closed FIXED
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s)
Latest
Any Any
: Normal Affects Only Me
Assigned To: Dirk Meyer
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2010-10-04 16:20 UTC by Uffe Jakobsen
Modified: 2011-01-06 10:11 UTC (History)
0 users

See Also:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Uffe Jakobsen 2010-10-04 16:20:01 UTC
vice-gnome-2.2_3 coredumps during startup.

OUTPUT:

$ x64 -core
*** VICE Version 2.2 ***
 
Welcome to x64, the free portable C64 Emulator.
 
Current VICE team members:
A. Boose, D. Lem, T. Biczo, A. Dehmel, T. Bretz, A. Matthies,
M. Pottendorfer, M. Brenner, S. Trikaliotis, M. van den Heuvel,
C. Vogelgsang, F. Gennari, M. Kiesel, H. Nuotio, D. Kahlin,
A. Lankila.
 
This is free software with ABSOLUTELY NO WARRANTY.
See the "About VICE" command for more info.
 
XRandR: XRandR reports current display: 1280x1024@60
Loading system file `/usr/local/lib/vice/C64/kernal'.
C64MEM: Kernal rev #3.
Loading system file `/usr/local/lib/vice/C64/basic'.
Loading system file `/usr/local/lib/vice/C64/chargen'.
Loading system file `/usr/local/lib/vice/PRINTER/mps803'.
Palette: Loading palette `/usr/local/lib/vice/PRINTER/mps803.vpl'.
Loading system file `/usr/local/lib/vice/PRINTER/nl10-cbm'.
Palette: Loading palette `/usr/local/lib/vice/PRINTER/mps803.vpl'.
NL10: Printer driver initialized.
Loading system file `/usr/local/lib/vice/DRIVES/dos1541'.
Loading system file `/usr/local/lib/vice/DRIVES/d1541II'.
Loading system file `/usr/local/lib/vice/DRIVES/dos1570'.
Loading system file `/usr/local/lib/vice/DRIVES/dos1571'.
Loading system file `/usr/local/lib/vice/DRIVES/dos1581'.
Loading system file `/usr/local/lib/vice/DRIVES/dos2031'.
Loading system file `/usr/local/lib/vice/DRIVES/dos2040'.
Loading system file `/usr/local/lib/vice/DRIVES/dos3040'.
Loading system file `/usr/local/lib/vice/DRIVES/dos4040'.
Loading system file `/usr/local/lib/vice/DRIVES/dos1001'.
Drive: Finished loading ROM images.
Segmentation fault: 11 (core dumped)

DIAG:


$ gdb /usr/local/bin/x64 x64.core 
GNU gdb 6.1.1 [FreeBSD]
Copyright 2004 Free Software Foundation, Inc.
GDB is free software, covered by the GNU General Public License, and you are
welcome to change it and/or distribute copies of it under certain conditions.
Type "show copying" to see the conditions.
There is absolutely no warranty for GDB.  Type "show warranty" for details.
This GDB was configured as "i386-marcel-freebsd"...(no debugging symbols found)...
Core was generated by `x64'.
Program terminated with signal 11, Segmentation fault.
Reading symbols from /usr/local/lib/libgettextlib-0.18.1.so...(no debugging symbols found)...done.
Loaded symbols for /usr/local/lib/libgettextlib-0.18.1.so
Reading symbols from /usr/local/lib/libXrandr.so.2...(no debugging symbols found)...done.
Loaded symbols for /usr/local/lib/libXrandr.so.2
Reading symbols from /usr/local/lib/libXxf86vm.so.1...(no debugging symbols found)...done.
Loaded symbols for /usr/local/lib/libXxf86vm.so.1
Reading symbols from /usr/local/lib/libgtk-x11-2.0.so.0...(no debugging symbols found)...done.
Loaded symbols for /usr/local/lib/libgtk-x11-2.0.so.0
Reading symbols from /usr/local/lib/libgdk-x11-2.0.so.0...(no debugging symbols found)...done.
Loaded symbols for /usr/local/lib/libgdk-x11-2.0.so.0
Reading symbols from /usr/local/lib/libatk-1.0.so.0...(no debugging symbols found)...done.
Loaded symbols for /usr/local/lib/libatk-1.0.so.0
Reading symbols from /usr/local/lib/libgdk_pixbuf-2.0.so.0...(no debugging symbols found)...done.
Loaded symbols for /usr/local/lib/libgdk_pixbuf-2.0.so.0
Reading symbols from /usr/local/lib/libpangocairo-1.0.so.0...(no debugging symbols found)...done.
Loaded symbols for /usr/local/lib/libpangocairo-1.0.so.0
Reading symbols from /usr/local/lib/libXext.so.6...(no debugging symbols found)...done.
Loaded symbols for /usr/local/lib/libXext.so.6
Reading symbols from /usr/local/lib/libXrender.so.1...(no debugging symbols found)...done.
Loaded symbols for /usr/local/lib/libXrender.so.1
Reading symbols from /usr/local/lib/libXinerama.so.1...(no debugging symbols found)...done.
Loaded symbols for /usr/local/lib/libXinerama.so.1
Reading symbols from /usr/local/lib/libXi.so.6...(no debugging symbols found)...done.
Loaded symbols for /usr/local/lib/libXi.so.6
Reading symbols from /usr/local/lib/libXcursor.so.1...(no debugging symbols found)...done.
Loaded symbols for /usr/local/lib/libXcursor.so.1
Reading symbols from /usr/local/lib/libXcomposite.so.1...(no debugging symbols found)...done.
Loaded symbols for /usr/local/lib/libXcomposite.so.1
Reading symbols from /usr/local/lib/libXdamage.so.1...(no debugging symbols found)...done.
Loaded symbols for /usr/local/lib/libXdamage.so.1
Reading symbols from /usr/local/lib/libpangoft2-1.0.so.0...(no debugging symbols found)...done.
Loaded symbols for /usr/local/lib/libpangoft2-1.0.so.0
Reading symbols from /usr/local/lib/libgio-2.0.so.0...(no debugging symbols found)...done.
Loaded symbols for /usr/local/lib/libgio-2.0.so.0
Reading symbols from /usr/local/lib/libXfixes.so.3...(no debugging symbols found)...done.
Loaded symbols for /usr/local/lib/libXfixes.so.3
Reading symbols from /usr/local/lib/libcairo.so.2...(no debugging symbols found)...done.
Loaded symbols for /usr/local/lib/libcairo.so.2
Reading symbols from /usr/local/lib/libX11.so.6...(no debugging symbols found)...done.
Loaded symbols for /usr/local/lib/libX11.so.6
Reading symbols from /usr/local/lib/libpango-1.0.so.0...(no debugging symbols found)...done.
Loaded symbols for /usr/local/lib/libpango-1.0.so.0
Reading symbols from /usr/local/lib/libfreetype.so.9...(no debugging symbols found)...done.
Loaded symbols for /usr/local/lib/libfreetype.so.9
Reading symbols from /usr/local/lib/libfontconfig.so.1...(no debugging symbols found)...done.
Loaded symbols for /usr/local/lib/libfontconfig.so.1
Reading symbols from /usr/local/lib/libgobject-2.0.so.0...(no debugging symbols found)...done.
Loaded symbols for /usr/local/lib/libgobject-2.0.so.0
Reading symbols from /usr/local/lib/libgmodule-2.0.so.0...(no debugging symbols found)...done.
Loaded symbols for /usr/local/lib/libgmodule-2.0.so.0
Reading symbols from /usr/local/lib/libgthread-2.0.so.0...(no debugging symbols found)...done.
Loaded symbols for /usr/local/lib/libgthread-2.0.so.0
Reading symbols from /usr/local/lib/libglib-2.0.so.0...(no debugging symbols found)...done.
Loaded symbols for /usr/local/lib/libglib-2.0.so.0
Reading symbols from /usr/local/lib/libintl.so.9...(no debugging symbols found)...done.
Loaded symbols for /usr/local/lib/libintl.so.9
Reading symbols from /usr/lib/libusbhid.so.4...(no debugging symbols found)...done.
Loaded symbols for /usr/lib/libusbhid.so.4
Reading symbols from /lib/libreadline.so.8...(no debugging symbols found)...done.
Loaded symbols for /lib/libreadline.so.8
Reading symbols from /usr/local/lib/libjpeg.so.11...(no debugging symbols found)...done.
Loaded symbols for /usr/local/lib/libjpeg.so.11
Reading symbols from /lib/libz.so.5...(no debugging symbols found)...done.
Loaded symbols for /lib/libz.so.5
Reading symbols from /lib/libm.so.5...(no debugging symbols found)...done.
Loaded symbols for /lib/libm.so.5
Reading symbols from /usr/lib/libstdc++.so.6...(no debugging symbols found)...done.
Loaded symbols for /usr/lib/libstdc++.so.6
Reading symbols from /lib/libgcc_s.so.1...(no debugging symbols found)...done.
Loaded symbols for /lib/libgcc_s.so.1
Reading symbols from /lib/libthr.so.3...(no debugging symbols found)...done.
Loaded symbols for /lib/libthr.so.3
Reading symbols from /lib/libc.so.7...(no debugging symbols found)...done.
Loaded symbols for /lib/libc.so.7
Reading symbols from /usr/local/lib/libiconv.so.3...(no debugging symbols found)...done.
Loaded symbols for /usr/local/lib/libiconv.so.3
Reading symbols from /lib/libncurses.so.8...(no debugging symbols found)...done.
Loaded symbols for /lib/libncurses.so.8
Reading symbols from /usr/local/lib/libxcb.so.2...(no debugging symbols found)...done.
Loaded symbols for /usr/local/lib/libxcb.so.2
Reading symbols from /usr/local/lib/libXau.so.6...(no debugging symbols found)...done.
Loaded symbols for /usr/local/lib/libXau.so.6
Reading symbols from /usr/local/lib/libXdmcp.so.6...(no debugging symbols found)...done.
Loaded symbols for /usr/local/lib/libXdmcp.so.6
Reading symbols from /usr/lib/librpcsvc.so.5...(no debugging symbols found)...done.
Loaded symbols for /usr/lib/librpcsvc.so.5
Reading symbols from /usr/local/lib/libpthread-stubs.so.0...(no debugging symbols found)...done.
Loaded symbols for /usr/local/lib/libpthread-stubs.so.0
Reading symbols from /usr/local/lib/libpixman-1.so.9...(no debugging symbols found)...done.
Loaded symbols for /usr/local/lib/libpixman-1.so.9
Reading symbols from /usr/local/lib/libpng.so.6...(no debugging symbols found)...done.
Loaded symbols for /usr/local/lib/libpng.so.6
Reading symbols from /usr/local/lib/libxcb-render-util.so.0...(no debugging symbols found)...done.
Loaded symbols for /usr/local/lib/libxcb-render-util.so.0
Reading symbols from /usr/local/lib/libxcb-render.so.0...(no debugging symbols found)...done.
Loaded symbols for /usr/local/lib/libxcb-render.so.0
Reading symbols from /usr/local/lib/libexpat.so.6...(no debugging symbols found)...done.
Loaded symbols for /usr/local/lib/libexpat.so.6
Reading symbols from /usr/local/lib/libpcre.so.0...(no debugging symbols found)...done.
Loaded symbols for /usr/local/lib/libpcre.so.0
Reading symbols from /libexec/ld-elf.so.1...(no debugging symbols found)...done.
Loaded symbols for /libexec/ld-elf.so.1
#0  0x28b4cd08 in g_hash_table_foreach () from /usr/local/lib/libglib-2.0.so.0
[New Thread 29101140 (LWP 100165)]
(gdb) bt
#0  0x28b4cd08 in g_hash_table_foreach () from /usr/local/lib/libglib-2.0.so.0
#1  0x28aefa5b in g_param_spec_pool_list () from /usr/local/lib/libgobject-2.0.so.0
#2  0x28ae9dbe in g_object_class_list_properties () from /usr/local/lib/libgobject-2.0.so.0
#3  0x284832b4 in gtk_settings_get_default () from /usr/local/lib/libgtk-x11-2.0.so.0
#4  0x28b078b4 in g_type_create_instance () from /usr/local/lib/libgobject-2.0.so.0
#5  0x28aec662 in g_object_set () from /usr/local/lib/libgobject-2.0.so.0
#6  0x28aecb70 in g_object_newv () from /usr/local/lib/libgobject-2.0.so.0
#7  0x28aedb0c in g_object_new () from /usr/local/lib/libgobject-2.0.so.0
#8  0x28480d0c in gtk_settings_get_for_screen () from /usr/local/lib/libgtk-x11-2.0.so.0
#9  0x28480ed5 in gtk_settings_get_default () from /usr/local/lib/libgtk-x11-2.0.so.0
#10 0x2849d05c in gtk_style_attach () from /usr/local/lib/libgtk-x11-2.0.so.0
#11 0x28b078b4 in g_type_create_instance () from /usr/local/lib/libgobject-2.0.so.0
#12 0x28aec662 in g_object_set () from /usr/local/lib/libgobject-2.0.so.0
#13 0x28aecb70 in g_object_newv () from /usr/local/lib/libgobject-2.0.so.0
#14 0x28aedb0c in g_object_new () from /usr/local/lib/libgobject-2.0.so.0
#15 0x28494cc7 in gtk_style_new () from /usr/local/lib/libgtk-x11-2.0.so.0
#16 0x285367dd in gtk_widget_get_default_style () from /usr/local/lib/libgtk-x11-2.0.so.0
#17 0x2853941a in gtk_widget_set_double_buffered () from /usr/local/lib/libgtk-x11-2.0.so.0
#18 0x28b0769a in g_type_create_instance () from /usr/local/lib/libgobject-2.0.so.0
#19 0x28aec662 in g_object_set () from /usr/local/lib/libgobject-2.0.so.0
#20 0x28aed277 in g_object_newv () from /usr/local/lib/libgobject-2.0.so.0
#21 0x28aedb0c in g_object_new () from /usr/local/lib/libgobject-2.0.so.0
#22 0x2854f494 in gtk_window_new () from /usr/local/lib/libgtk-x11-2.0.so.0
#23 0x0811a967 in ?? ()
#24 0x00000000 in ?? ()
#25 0x3fefe000 in ?? ()
#26 0x841851be in ?? ()
#27 0x3fff1c3f in ?? ()
#28 0x00000000 in ?? ()
#29 0x406fe000 in ?? ()
#30 0x00000000 in ?? ()
#31 0x3fbeb852 in ?? ()
#32 0x00000000 in ?? ()
#33 0x406fe000 in ?? ()
#34 0x3fbeb852 in ?? ()
#35 0x0000d3b0 in ?? ()
#36 0x00000000 in ?? ()
#37 0x3ff00000 in ?? ()
#38 0x00000000 in ?? ()
#39 0x406fe000 in ?? ()
#40 0x00000000 in ?? ()
#41 0x00000000 in ?? ()
#42 0x406fe000 in ?? ()
#43 0x00000000 in ?? ()
#44 0x02010080 in ?? ()
#45 0xbf600804 in ?? ()
#46 0x113290f3 in ?? ()
#47 0xbfa4d3b0 in ?? ()

The problem (same call stack) happens on two FreeBSD systems - both 8.1-STABLE

How-To-Repeat: start vice with the command x64
Comment 1 Philip M. Gollucci freebsd_committer 2010-10-06 08:31:42 UTC
State Changed
From-To: open->feedback

Request feedback what port ist his for?
Comment 2 Uffe Jakobsen 2010-10-06 09:12:38 UTC
The reported problem is observed with the binary package called 
vice-gnome-2.2_3.

vice-gnome-2.2_3 is built from the emulators/vice port.
Comment 3 Stefan Walter freebsd_committer 2010-11-10 14:04:50 UTC
Responsible Changed
From-To: freebsd-ports-bugs->dinoex

Over to maintainer.
Comment 4 Dirk Meyer freebsd_committer 2010-11-15 09:10:23 UTC
State Changed
From-To: feedback->analyzed


I can not reproduce your Problem. 


[...] 
Drive: Finished loading ROM images. 
Sound: Available sound devices: uss dummy fs dump wav voc iff aiff soundmovie 
Keyboard: Loading keymap `/usr/local/lib/vice/C64/x11_sym.vkm'. 
Joystick: Warning - Cannot open joystick device `/dev/joy0'. 
Joystick: Warning - Cannot open joystick device `/dev/joy1'. 
Main CPU: starting at ($FFFC). 
[...] 

Please try different sound options. 
What sound devices fails?
Comment 5 Uffe Jakobsen 2010-12-08 09:27:34 UTC
On 15/11/10 10.12, dinoex@FreeBSD.org wrote:
> Synopsis: emulators/vice: vice-gnome-2.2_3 coredumps during startup
>
> [...]
>
> http://www.freebsd.org/cgi/query-pr.cgi?pr=151207
>
> [...]
>
> I can not reproduce your Problem.
>
> [...]
>
> Drive: Finished loading ROM images.
> Sound: Available sound devices: uss dummy fs dump wav voc iff aiff soundmovie
> Keyboard: Loading keymap `/usr/local/lib/vice/C64/x11_sym.vkm'.
> Joystick: Warning - Cannot open joystick device `/dev/joy0'.
> Joystick: Warning - Cannot open joystick device `/dev/joy1'.
> Main CPU: starting at ($FFFC).
> [...]
>
> Please try different sound options.
> What sound devices fails?
>

I've tried with the following:

x64 +sound
x64 -sounddev dummy

and combinations of both - x64 still coredumps - same callstack
Comment 6 dmk 2010-12-28 04:01:02 UTC
I would just like to add that I'm seeing the same problem as Uffe. Except with 
me, the message after "Drive: Finished loading ROM images." is "Received 
signal 11."

I can try to work out how to get more details if that would be helpful.

I'm running 8.1-RELEASE-p2, i386.  I use the snd_hda driver, and the nvidia-
driver port for graphics.

Cheers,
DMK
Comment 7 dfilter freebsd_committer 2011-01-04 06:17:13 UTC
dinoex      2011-01-04 06:17:09 UTC

  FreeBSD ports repository

  Modified files:
    emulators/vice       Makefile 
  Added files:
    emulators/vice/files patch-RegExp.c patch-x11video.c 
  Log:
  - add missing dependecies
  - support libgif
  - add option VICE_WITH_ASOUND
  - use sdlsound as default
  PR:             151207
  
  Revision  Changes    Path
  1.70      +11 -3     ports/emulators/vice/Makefile
  1.1       +10 -0     ports/emulators/vice/files/patch-RegExp.c (new)
  1.1       +12 -0     ports/emulators/vice/files/patch-x11video.c (new)
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"
Comment 8 Dirk Meyer freebsd_committer 2011-01-04 07:41:42 UTC
State Changed
From-To: analyzed->feedback


I was not yet able to reproduce the problem. 

Please test again. 
If it oocues again, try to rebuild with "WITHOIUT_NLS" set.
Comment 9 dmk 2011-01-06 01:35:39 UTC
Hello all,

After updating to 2.2_4 the problem recurred. As asked, I re-compiled with 
-DWITHOUT_NLS. That appears to have solved the problem for me. Instead of the 
"Received Signal 11" message, I now get the following. and x64 runs:

Drive: Finished loading ROM images.
:1: error: unexpected character `\3', expected keyword - e.g. `style'
openGL: GLX_SGI_video_sync extension is supported
Sound: Available sound devices: sdl uss dummy fs dump wav voc iff aiff mp3 
soundmovie
Keyboard: Loading keymap `/usr/local/lib/vice/C64/x11_sym.vkm'.
Joystick: Warning - Cannot open joystick device `/dev/joy0'.
Joystick: Warning - Cannot open joystick device `/dev/joy1'.
Main CPU: starting at ($FFFC).
Main CPU: RESET.
Drive 8: RESET.
Sound: Opened device `sdl', speed 44100Hz, fragment size 11ms, buffer size 
104ms
reSID: MOS6581, filter on, sampling rate 44100Hz - fast
Drive 8: RESET.
Sound: Warning - Buffer drained
Sound: Warning - Buffer drained

Thanks for all your help,
DMK
Comment 10 dfilter freebsd_committer 2011-01-06 09:52:37 UTC
dinoex      2011-01-06 09:52:31 UTC

  FreeBSD ports repository

  Modified files:
    emulators/vice       Makefile 
  Log:
  - fix coredumps by building without gettextlib
  PR:             151207
  
  Revision  Changes    Path
  1.71      +1 -1      ports/emulators/vice/Makefile
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"
Comment 11 Dirk Meyer freebsd_committer 2011-01-06 10:11:19 UTC
State Changed
From-To: feedback->closed

fix committed, thanks.